Odds
Get live match odds
Returns in-play odds for a match, one entry per bookmaker quoting in-play prices (Bet365 first, then Paddy Power, BetMGM UK, Betfair Exchange). Every market a bookmaker quotes is included: match result, totals (with quarter lines), both teams to score, corners, Asian and European handicaps, double chance, draw no bet, correct score, team totals, to qualify and more. Bookmakers and markets change as the match goes on and books suspend and reopen. Check live_odds_available on the match first, and poll during the match. Returns 404 when there are no live odds for the match.
Example: GET /football/matches/mt_200199332/odds/live
GET
/
football
/
matches
/
{match_id}
/
odds
/
live
Get live match odds
curl --request GET \
--url https://api.thestatsapi.com/api/football/matches/{match_id}/odds/live \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thestatsapi.com/api/football/matches/{match_id}/odds/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thestatsapi.com/api/football/matches/{match_id}/odds/live"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"match_id": "mt_200199332",
"bookmakers": [
{
"bookmaker": "Bet365",
"markets": {
"match_odds": {
"home": {
"live": "3.500"
},
"draw": {
"live": "2.400"
},
"away": {
"live": "2.750"
}
},
"btts": {
"yes": {
"live": "3.400"
},
"no": {
"live": "1.300"
}
},
"total_goals": {
"2.5": {
"over": {
"live": "4.500"
},
"under": {
"live": "1.182"
}
}
},
"match_corners": {},
"total_cards": {},
"asian_handicap": {
"home": {
"-0.5": {
"live": "2.670"
},
"+0.0": {
"live": "1.750"
}
},
"away": {
"+0.5": {
"live": "1.450"
},
"+0.0": {
"live": "2.050"
}
}
},
"draw_no_bet": {
"home": {
"live": "3.500"
},
"away": {
"live": "3.500"
}
},
"double_chance": {
"home_draw": {
"live": "3.500"
},
"home_away": {
"live": "3.500"
},
"draw_away": {
"live": "3.500"
}
},
"first_half_result": {
"home": {
"live": "3.500"
},
"draw": {
"live": "3.500"
},
"away": {
"live": "3.500"
}
},
"first_team_to_score": {
"home": {
"live": "3.500"
},
"away": {
"live": "3.500"
},
"none": {
"live": "3.500"
}
},
"second_half_result": {
"home": {
"live": "3.500"
},
"draw": {
"live": "3.500"
},
"away": {
"live": "3.500"
}
},
"handicap_result": {},
"team_total_goals": {
"home": {},
"away": {}
},
"btts_first_half": {
"yes": {
"live": "3.500"
},
"no": {
"live": "3.500"
}
},
"btts_second_half": {
"yes": {
"live": "3.500"
},
"no": {
"live": "3.500"
}
},
"team_corners": {
"home": {},
"away": {}
},
"correct_score": {},
"to_qualify": {
"home": {
"live": "3.500"
},
"away": {
"live": "3.500"
}
}
}
}
]
}
}How to poll during a match: Live matches. More on odds: Odds.
Authorizations
Your API key, sent as Authorization: Bearer YOUR_API_KEY. Get one at https://www.thestatsapi.com/api-keys
Path Parameters
⌘I
Get live match odds
curl --request GET \
--url https://api.thestatsapi.com/api/football/matches/{match_id}/odds/live \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thestatsapi.com/api/football/matches/{match_id}/odds/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thestatsapi.com/api/football/matches/{match_id}/odds/live"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"match_id": "mt_200199332",
"bookmakers": [
{
"bookmaker": "Bet365",
"markets": {
"match_odds": {
"home": {
"live": "3.500"
},
"draw": {
"live": "2.400"
},
"away": {
"live": "2.750"
}
},
"btts": {
"yes": {
"live": "3.400"
},
"no": {
"live": "1.300"
}
},
"total_goals": {
"2.5": {
"over": {
"live": "4.500"
},
"under": {
"live": "1.182"
}
}
},
"match_corners": {},
"total_cards": {},
"asian_handicap": {
"home": {
"-0.5": {
"live": "2.670"
},
"+0.0": {
"live": "1.750"
}
},
"away": {
"+0.5": {
"live": "1.450"
},
"+0.0": {
"live": "2.050"
}
}
},
"draw_no_bet": {
"home": {
"live": "3.500"
},
"away": {
"live": "3.500"
}
},
"double_chance": {
"home_draw": {
"live": "3.500"
},
"home_away": {
"live": "3.500"
},
"draw_away": {
"live": "3.500"
}
},
"first_half_result": {
"home": {
"live": "3.500"
},
"draw": {
"live": "3.500"
},
"away": {
"live": "3.500"
}
},
"first_team_to_score": {
"home": {
"live": "3.500"
},
"away": {
"live": "3.500"
},
"none": {
"live": "3.500"
}
},
"second_half_result": {
"home": {
"live": "3.500"
},
"draw": {
"live": "3.500"
},
"away": {
"live": "3.500"
}
},
"handicap_result": {},
"team_total_goals": {
"home": {},
"away": {}
},
"btts_first_half": {
"yes": {
"live": "3.500"
},
"no": {
"live": "3.500"
}
},
"btts_second_half": {
"yes": {
"live": "3.500"
},
"no": {
"live": "3.500"
}
},
"team_corners": {
"home": {},
"away": {}
},
"correct_score": {},
"to_qualify": {
"home": {
"live": "3.500"
},
"away": {
"live": "3.500"
}
}
}
}
]
}
}